#include "vulkan_commons.h"

#include <time.h>

time_t g_last_frame_time;
time_t g_this_frame_time;
float g_float_delta_time;

void init_time(void)
{
    time(&g_last_frame_time);
}

void update_time(void)
{
    g_last_frame_time = g_this_frame_time;
    time(&g_this_frame_time);
    g_float_delta_time = (float)difftime(g_this_frame_time, g_last_frame_time);
}

float get_time_diff(void)
{
    return g_float_delta_time;
}
